import { Alerts } from './alerts';

const MOCK_APP = {
  httpClient: {
    addResponseInterceptor: () => {},
  },
};

describe('Alerts', () => {

  let alerts;

  beforeEach(() => {
    const element = document.createElement('div');
    alerts = new Alerts(element, MOCK_APP);
  });

  it('should create', () => {
    expect(alerts).toBeTruthy();
  });

  it('should throw if called without an element', () => {
    expect(() => {
      new Alerts();
    }).toThrow();
  });
});
